### Method

# ECal ComponentPeriod set_start

since: 3.34

#### Declaration [src]

    void
    e_cal_component_period_set_start (
      ECalComponentPeriod* period,
      const ICalTime* start
    )

#### Description [src]

Set the `start` of the `period`. This can be called on any kind of the `period`.

Available since: 3.34

#### Parameters

`start`

  Type: `None`

  An `ICalTime`, the start of the `period`.

  The data is owned by the caller of the method.